# ACESFilmicToneMappingShader

## Import

ACESFilmicToneMappingShader is an addon, and must be imported explicitly, see Installation#Addons.

    import { ACESFilmicToneMappingShader } from 'three/addons/shaders/ACESFilmicToneMappingShader.js';

## Properties

### .ACESFilmicToneMappingShader : ShaderMaterial~Shader (inner, constant)

ACES Filmic Tone Mapping Shader by Stephen Hill. Reference: ltc_blit.fs

This implementation of ACES is modified to accommodate a brighter viewing environment. The scale factor of 1/0.6 is subjective. See discussion in #19621.

## Source

examples/jsm/shaders/ACESFilmicToneMappingShader.js